This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 1358

Summary: mat+=selfadjoint_view problem for sparse matrices
Product: Eigen Reporter: Yixuan Qiu <yixuan.qiu>
Component: SparseAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Compilation Problem CC: chtz, gael.guennebaud
Priority: Normal    
Version: 3.3 (current stable)   
Hardware: All   
OS: All   
Whiteboard:

Description Yixuan Qiu 2016-12-08 01:40:36 UTC
This is basically the same problem as in bug 1343 (http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1343), but for sparse matrices.

A minimal example:

=====================================================================

#include <Eigen/SparseCore>

typedef Eigen::SparseMatrix<double> SpMat;

int main()
{
    SpMat m1(10, 10);
    
    SpMat m2 = m1.selfadjointView<Eigen::Lower>(); // Fine
    SpMat m3(10, 10);
    m3 += m1.selfadjointView<Eigen::Lower>();      // Fails on 3.3
    
    return 0;
}

=====================================================================

OS: Fedora 25 64-bit
Compiler: GCC 6.2/clang 3.8



Thank you.


Best,
Yixuan
Comment 1 Gael Guennebaud 2016-12-14 16:55:03 UTC
This had to be expected!

Fixed:
https://bitbucket.org/eigen/eigen/commits/0a9b971803ae/
Summary:     Bug 1358: fix compilation for sparse += sparse.selfadjointView();

3.3: https://bitbucket.org/eigen/eigen/commits/7895f20fc7f7/
Comment 2 Nobody 2019-12-04 16:34:39 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1358.